Skip to content

Self-service ​

POST /api/me/servers ​

Create a server for yourself, within your limits

  • Access: Signed-in user (browser session)
  • Body: templateId, name, memoryMb?, cpuPercent?, diskMb?, location?, variables?

DELETE /api/me/servers/{id} ​

Delete your own server (with a cooling-off period)

  • Access: Signed-in user (browser session)
  • Path parameters: id

POST /api/me/servers/{id}/restore ​

Undo a scheduled deletion

  • Access: Signed-in user (browser session)
  • Path parameters: id

GET /api/me/servers/options ​

Templates, locations and limits for creating a server yourself

  • Access: Signed-in user (browser session)

PUT /api/templates/{id}/store ​

Release a template to customers and describe it

  • Access: Administrator
  • Path parameters: id
  • Body: customerVisible, customerDescription?

Released under the AGPL-3.0-only license.